Subject: SC 22 N 3298 - Liaison Report from JTC 1/SC 7 to SC 22

From: Matthew Deane <[email-masked]>
Date: Tue, 28 Aug 2001 12:31:08 -0400

ISO/IEC JTC 1/SC22
Programming languages, their environments and system software interfaces
Secretariat:  U.S.A.  (ANSI)
 
ISO/IEC JTC 1/SC22 N3298
 
TITLE:
Liaison Report from JTC 1/SC 7 to SC 22

DATE ASSIGNED:
2001-08-28
 
SOURCE:
Liaison Officer to JTC 1/SC 2 (J. Moore)

BACKWARD POINTER:
N/A
 
DOCUMENT TYPE:
Liaison Contribution

PROJECT NUMBER:
N/A
 
STATUS:
This document will be reviewed at the upcoming SC 22 Plenary under Agenda
Item 7.4.2 pending the approval of its addition to the agenda.

ACTION IDENTIFIER:
FYI
 
DUE DATE:
  
DISTRIBUTION:
Text

CROSS REFERENCE:
 
DISTRIBUTION FORM:
Def
 
Address reply to:
ISO/IEC JTC 1/SC22 Secretariat
Matt Deane
ANSI
25 West 43rd Street
New York, NY  10036
Telephone:  (212) 642-4992
Fax:             (212) 840-2298
Email:  [email-masked]

_______end of cover page, beginning of report____________

Liaison Report: ISO/IEC JTC1/SC7
Prepared by Jim Moore, SC22 Liaison Officer to SC7
26 August 2001

ISO/IEC JTC1/SC7 recently conducted its annual plenary meeting 14-18 May
2001 in Nagoya, Japan. Its terms of reference are:

"Standardization of processes, supporting tools and supporting
technologies for the engineering of software products and systems."

On occasion, there has been some confusion regarding a perceived overlap
of activity between SC7 and SC22. SC7 performs work on standards related
to the engineering of information technology (IT) systems. SC22 performs
work on system interfaces, where system is used in the context of
"operating system" or "system programming." There is no actual overlap
in the work of the two subcommittees.

Important results of the plenary meeting include the following:
- SC7 continues to expand its work on software product quality
characteristics. It is balloting new work item related to the 9126
series of standards.
- SC7 is balloting a new work item for a Software Asset Management
process. This work will address how enterprises handle licenses for
proprietary software.
- SC7 continues its cooperation with the project to develop a Guide to
the Software Engineering Body of Knowledge. It will conduct a ballot to
adopt the Trial Use Version of the Guide as a Type 3 Technical Report.
Further coordination is anticipated.
- SC7 plans a coordinated revision of ISO/IEC 12207, (draft) ISO/IEC
15288, and (draft) ISO/IEC 9000-3 to effect a consolidated process set
spanning the life cycle of both systems and software with appropriate
incorporation of quality management requirements.
- SC7 continues to emphasize that its working groups should broaden
their work from software engineering to encompass the engineering of IT
systems.
--